=== debian/changelog ===
flowcanvas (0.6.0-1ubuntu2) lucid; urgency=low

  * Add python to Build-Depends (needed by the internal copy of waf).

 -- Michael Bienia <geser@ubuntu.com>  Sun, 28 Feb 2010 12:00:14 +0100

flowcanvas (0.6.0-1ubuntu1) lucid; urgency=low

  * Use internal copy of waf.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:30:33 +0100

flowcanvas (0.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch: update to bz2
  * debian/rules: switch to waf
  * debian/control: add build-depends on waf
  * debian/libflowcanvas-dev.install: remove .la file
  * debian/README.source: added ref to quilt
  * debian/control: bump debhelper requirements to 7.0.50~
  * debian/libflowcanvas3.{install,dirs}: bump version to 3
  * debian/source/format: use 3.0 quilt for upstream bz2
  * debian/patches: drop missing include, integrated upstream

 -- Paul Brossier <piem@debian.org>  Wed, 09 Dec 2009 18:34:27 +0100

flowcanvas (0.5.1-2) unstable; urgency=low

  * Add build-depends on quilt
  * Add patch to fix FTBFS with g++-4.4, thanks to Michael Bienia
   (closes: #559898)

 -- Paul Brossier <piem@debian.org>  Mon, 07 Dec 2009 18:20:13 +0100

flowcanvas (0.5.1-1) unstable; urgency=low

  * Initial release (closes: #553386)

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 19:53:21 +0100
