=== debian/control ===
Source: flowcanvas
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               quilt,
               python,
               libgtkmm-2.4-dev,
               libgnomecanvasmm-2.6-dev,
               libboost-dev,
               libgraphviz-dev
Standards-Version: 3.8.3
Section: libs
Vcs-Bzr: http://bzr.debian.org/users/piem/flowcanvas/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/flowcanvas/
Homepage: http://drobilla.net/software/flowcanvas/

Package: libflowcanvas-dev
Section: libdevel
Architecture: any
Depends: libflowcanvas3 (= ${binary:Version}), ${misc:Depends}
Description: interactive widget for “boxes and lines” environments
 FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
 environments (ie modular synths or interactive finite state automata diagrams).

Package: libflowcanvas3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive widget for “boxes and lines” environments
 FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
 environments (ie modular synths or interactive finite state automata diagrams).
