=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with quilt $@

override_dh_auto_configure:
	./waf configure --prefix /usr

override_dh_auto_build:
	dh build --before dh_auto_build
	./waf build
	dh build --after dh_auto_build

override_dh_auto_install:
	dh install --before dh_auto_install
	./waf install --destdir $(CURDIR)/debian/tmp
	dh install --after dh_auto_install

override_dh_auto_clean:
	dh clean --before dh_auto_clean
	./waf distclean --prefix /usr
	-$(RM) -f autowaf.pyc
	dh clean --after dh_auto_clean
