## flowcanvas 0.7.1

=== debian/changelog ===
flowcanvas (0.7.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable to start lash->ladish smooth transition;
    this closes: #626142

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 May 2011 15:16:33 +0200

flowcanvas (0.7.1-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #609981):
    - Changes in 0.7.1:
      + Reduce memory consumption and improve alignment
      + Eliminate port control "gauge" overhead for non-control ports
      + Add "partner" concept for aligning related but unconnected nodes.
      + Add missing #includes
      + Expand README
      + Add missing COPYING file to distribution
      + Upgrade to waf 1.6.2
    - Changes in 0.6.4:
      + Consistently call Item::store_location when items are moved,
        previous versions didn't on arrange or when dragging a selection
      + Fix centering (e.g. on arrange, initial view)
      + Upgrade to waf 1.5.18
  * SONAME change: libflowcanvas3 -> libflowcanvas5.
  * debian/{control,rules}:
    - Drop quilt support as the package format is set to 3.0 (quilt).
    - Also remove debian/README.source since it's no longer needed.
  * debian/patches/1001-dont_run_ldconfig.patch:
    - Avoid calling ldconfig once the build is finished, this allow us
      to save a bit of time.
  * debian/control:
    - Improve package's descriptions.
    - Bump Standards-Version.
    - Remove duplicate Section: libs.
  * debian/copyright:
    - Update debian/copyright as per DEP-5 rev#173.
    - Add licensing information about waf.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Mar 2011 12:18:13 +0100

flowcanvas (0.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use convenience copy of waf, system wide waf package is being removed
    from Debian (Closes: #571705).
  * Build-depend on python, convenience copy of waf needs it.
  * Tight quilt build-dependency to be >= 0.46-7~.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 11 Apr 2010 16:22:13 +0200
