=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --with quilt $@
+	dh $@
 
 override_dh_auto_configure:
 	./waf configure --prefix /usr
@@ -22,6 +22,6 @@
 
 override_dh_auto_clean:
 	dh clean --before dh_auto_clean
-	./waf distclean --prefix /usr
-	-$(RM) -f autowaf.pyc
+	./waf configure distclean --prefix /usr
+	-$(RM) -f autowaf/autowaf.pyc
 	dh clean --after dh_auto_clean
