## flowcanvas 0.7.1%2Bdfsg0

=== debian/control ===
Source: flowcanvas
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python,
               libgtkmm-2.4-dev,
               libgnomecanvasmm-2.6-dev,
               libboost-dev,
               libgraphviz-dev (>= 2.30)
Standards-Version: 3.9.1
Section: libs
Vcs-Bzr: http://bzr.debian.org/users/piem/flowcanvas/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/flowcanvas/
Homepage: http://drobilla.net/software/flowcanvas/

Package: libflowcanvas-dev
Section: libdevel
Architecture: any
Depends: libflowcanvas5 (= ${binary:Version}), ${misc:Depends}
Description: interactive widget for “boxes and lines” environments - header files
 FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
 environments (ie modular synths or interactive finite state automata diagrams).
 .
 This package provides the development files.

Package: libflowcanvas5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive widget for “boxes and lines” environments
 FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
 environments (ie modular synths or interactive finite state automata diagrams).
 .
 This package provides the runtime library.
