=== debian/changelog ===
flowcanvas (0.7.1+dfsg0-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove use of --before and --after (Closes: #932531)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 11 Oct 2019 00:10:55 +0200

flowcanvas (0.7.1+dfsg0-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library to libflowcanvas5v5 for libstdc++ transition
    (Closes: #791036)

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Sep 2015 17:26:11 +0100

flowcanvas (0.7.1+dfsg0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Fedora to fix build with libcgraph. Closess: #754951.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2014 14:37:35 +0100

flowcanvas (0.7.1+dfsg0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Properly fill flowcanvas.pc's Requires field rather than putting
    hard-coded paths/libraries in Cflags/Libs to avoid build failures
    in a multiarchified world (Closes: #670113).

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Apr 2012 11:10:47 +0200

flowcanvas (0.7.1+dfsg0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack upstream tarball to get rid of the 'waf' blob.
    Closes: #654465
    - debian/rules:
      + Use 'waf clean' instead of 'waf distclean' in order to avoid the
        removal of the waflib.
      + Skip errors on 'waf clean'.
      + Prune *.pyc files on clean.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 19:42:14 +0100
