=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./waf configure --prefix /usr

override_dh_auto_build:
	./waf build

override_dh_auto_install:
	./waf install --destdir $(CURDIR)/debian/tmp

override_dh_auto_clean:
	./waf clean || true
	find -name "*.pyc" -delete
