=== debian/watch ===
version=3
http://drobilla.net/software/flowcanvas/ \
  http://download.drobilla.net/flowcanvas-(.*)\.tar\.bz2
